%define pkg_name        Mail-Thread-Arc
%define pkg_version     0.22
%define rpm_pkg_version 0.22
%define rpm_pkg_release 2.n0i.2

Summary:       Generates a Thread Arc representation of a thread
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/R/RC/RCLAMP/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)

%if %{!?_without_test:1}0
BuildRequires: perl(Class::Accessor::Chained)
BuildRequires: perl(Date::Parse)
BuildRequires: perl(Mail::Thread) >= 2.41
BuildRequires: perl(SVG)
%endif

# pull in missing reqs
Requires: perl(Class::Accessor::Chained)
Requires: perl(Mail::Thread) >= 2.41


%description
Mail::Thread::Arc takes a Mail::Thread::Container and generates
an image of the Thread Arc.

Thread Arcs are described in the documentation for IBM's
remail project: http://www.research.ibm.com/remail/


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.22-2.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Thu Aug 04 2005 Marius Feraru <altblue@n0i.net> 0.22-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
